Go Down

Topic: avr-g++.exe: The parameter is incorrect. (Read 326 times) previous topic - next topic

DAA42

Ok, so got Blink going and a few variations of that, and some other sketches.

But I've done something and now can't compile anything.
... avr-g++.exe: The parameter is incorrect.

Below is the error message in full.

I've spent >8hrs searching and trying troubleshooting hints.
If someone could help, I'd be pleased. 

David


=========================================

Arduino: 1.8.9 (Windows XP), Board: "Arduino/Genuino Uno"

C:\Program Files\arduino-1.8.9\arduino-builder -dump-prefs -logger=machine -hardware C:\Program Files\arduino-1.8.9\hardware -tools C:\Program Files\arduino-1.8.9\tools-builder -tools C:\Program Files\arduino-1.8.9\hardware\tools\avr -built-in-libraries C:\Program Files\arduino-1.8.9\libraries -libraries C:\Documents and Settings\user\My Documents\Arduino\libraries -fqbn=arduino:avr:uno -vid-pid=0X2341_0X0043 -ide-version=10809 -build-path C:\DOCUME~1\user\LOCALS~1\Temp\arduino_build_910680 -warnings=default -build-cache C:\DOCUME~1\user\LOCALS~1\Temp\arduino_cache_691278 -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.arduinoOTA.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.arduinoOTA-1.2.1.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avrdude.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avrdude-6.3.0-arduino14.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avr-gcc.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avr-gcc-5.4.0-atmel3.6.1-arduino2.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -verbose C:\Documents and Settings\user\My Documents\Arduino\Print_1234\Print_1234.ino
C:\Program Files\arduino-1.8.9\arduino-builder -compile -logger=machine -hardware C:\Program Files\arduino-1.8.9\hardware -tools C:\Program Files\arduino-1.8.9\tools-builder -tools C:\Program Files\arduino-1.8.9\hardware\tools\avr -built-in-libraries C:\Program Files\arduino-1.8.9\libraries -libraries C:\Documents and Settings\user\My Documents\Arduino\libraries -fqbn=arduino:avr:uno -vid-pid=0X2341_0X0043 -ide-version=10809 -build-path C:\DOCUME~1\user\LOCALS~1\Temp\arduino_build_910680 -warnings=default -build-cache C:\DOCUME~1\user\LOCALS~1\Temp\arduino_cache_691278 -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.arduinoOTA.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.arduinoOTA-1.2.1.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avrdude.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avrdude-6.3.0-arduino14.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avr-gcc.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -prefs=runtime.tools.avr-gcc-5.4.0-atmel3.6.1-arduino2.path=C:\Program Files\arduino-1.8.9\hardware\tools\avr -verbose C:\Documents and Settings\user\My Documents\Arduino\Print_1234\Print_1234.ino
Using board 'uno' from platform in folder: C:\Program Files\arduino-1.8.9\hardware\arduino\avr
Using core 'arduino' from platform in folder: C:\Program Files\arduino-1.8.9\hardware\arduino\avr
Detecting libraries used...
"C:\\Program Files\\arduino-1.8.9\\hardware\\tools\\avr/bin/avr-g++" -c -g -Os -w -std=gnu++11 -fpermissive -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -Wno-error=narrowing -flto -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10809 -DARDUINO_AVR_UNO -DARDUINO_ARCH_AVR "-IC:\\Program Files\\arduino-1.8.9\\hardware\\arduino\\avr\\cores\\arduino" "-IC:\\Program Files\\arduino-1.8.9\\hardware\\arduino\\avr\\variants\\standard" "C:\\DOCUME~1\\user\\LOCALS~1\\Temp\\arduino_build_910680\\sketch\\Print_1234.ino.cpp" -o nul
fork/exec C:\Program Files\arduino-1.8.9\hardware\tools\avr/bin/avr-g++.exe: The parameter is incorrect.
Error compiling for board Arduino/Genuino Uno.

DAA42

Sorry,

After the third time of reloading Arduino, it seems to be working properly now.

On the third attempt, I completely deleted the previous installation and started "fresh".

I don't know if that did it.  But I'm working now.

Live and learn.

DrAzzy

Glad you got it sorted, because that's a bizarro error that I dont think I've seen anyone post about before.
ATTinyCore for x4/x5/x61/x7/x8/x41/1634/828/x313 megaTinyCore for the megaavr ATtinies - Board Manager:
http://drazzy.com/package_drazzy.com_index.json
ATtiny breakouts, mosfets, awesome prototyping board in my store http://tindie.com/stores/DrAzzy

Go Up